Subject: bug#67006: 30.0.50; w32-shell-execute will freeze Emacs on Windows 10

From: Eason Huang <[email-masked]>
Date: Sun, 12 Nov 2023 10:33:45 +0800

Eason Huang <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
> I cannot reproduce it.  Is this again on those systems where you have
> PowerToys installed?
Yes, on the systems with PowerToys installed.
Because I cannot clean the regstry unless reinstall the Windows OS.

> In any case, my Emacs is a 32-bit build, so maybe that is a factor
> (since SysWOW64 is a special directory for 32-bit programs running on
> 64-bit Windows).
Maybe this is the root case of the issue.

Anyway, recently I can add "C:/Windows/SysWOW64" to exec-path as
workaroud.

Add this code to early-init.el works as expected:
```
(add-to-list 'exec-path "C:/Windows/SysWOW64")
```

Best regards,

Eason Huang